#!/bin/bash

if [ -f '/usr/sbin/wildix_shell_tools' ]; then
	. /usr/sbin/wildix_shell_tools
else
	logger -t "${0}" "ERROR: can't include wildix_shell_tools"
	exit 1
fi

CORES="$1" ; RAM="$2" ; AMAZON="$3" ; DOCKER="$4"

if [ -z $CORES ] || [ -z $RAM ] || [ -z $AMAZON ] || [ -z $DOCKER ]; then
	log "ERROR: zero values (exit)" "${0##*/}"
	exit 0
fi

T_CONF="/etc/default/tproxyd"

if [ "$RAM" -le "2048" ]; then
    crudini --set ${T_CONF} '' TPROXYD_CHILDS 1
else
    crudini --set ${T_CONF} '' TPROXYD_CHILDS 1
fi
